## proclist

proclist

## Synopsis

    #include <glibtop/proclist.h>

    #define             GLIBTOP_PROCLIST_NUMBER
    #define             GLIBTOP_PROCLIST_TOTAL
    #define             GLIBTOP_PROCLIST_SIZE
    #define             GLIBTOP_MAX_PROCLIST
    #define             GLIBTOP_KERN_PROC_ALL
    #define             GLIBTOP_KERN_PROC_PID
    #define             GLIBTOP_KERN_PROC_PGRP
    #define             GLIBTOP_KERN_PROC_SESSION
    #define             GLIBTOP_KERN_PROC_TTY
    #define             GLIBTOP_KERN_PROC_UID
    #define             GLIBTOP_KERN_PROC_RUID
    #define             GLIBTOP_KERN_PROC_MASK
    #define             GLIBTOP_EXCLUDE_IDLE
    #define             GLIBTOP_EXCLUDE_SYSTEM
    #define             GLIBTOP_EXCLUDE_NOTTY
    struct              glibtop_proclist;
    pid_t *             glibtop_get_proclist                (glibtop_proclist *buf,
                                                             gint64 which,
                                                             gint64 arg);
    #define             glibtop_get_proclist_r
    pid_t *             glibtop_get_proclist_l              (glibtop *server,
                                                             glibtop_proclist *buf,
                                                             gint64 which,
                                                             gint64 arg);
    pid_t *             glibtop_get_proclist_p              (glibtop *server,
                                                             glibtop_proclist *buf,
                                                             gint64 which,
                                                             gint64 arg);
    pid_t *             glibtop_get_proclist_s              (glibtop *server,
                                                             glibtop_proclist *buf,
                                                             gint64 which,
                                                             gint64 arg);

## Description

## Details

### GLIBTOP_PROCLIST_NUMBER

    #define GLIBTOP_PROCLIST_NUMBER 0

### GLIBTOP_PROCLIST_TOTAL

    #define GLIBTOP_PROCLIST_TOTAL 1

### GLIBTOP_PROCLIST_SIZE

    #define GLIBTOP_PROCLIST_SIZE 2

### GLIBTOP_MAX_PROCLIST

    #define GLIBTOP_MAX_PROCLIST 3

### GLIBTOP_KERN_PROC_ALL

    #define GLIBTOP_KERN_PROC_ALL		0 /* all processes */

### GLIBTOP_KERN_PROC_PID

    #define GLIBTOP_KERN_PROC_PID		1

### GLIBTOP_KERN_PROC_PGRP

    #define GLIBTOP_KERN_PROC_PGRP		2

### GLIBTOP_KERN_PROC_SESSION

    #define GLIBTOP_KERN_PROC_SESSION 3

### GLIBTOP_KERN_PROC_TTY

    #define GLIBTOP_KERN_PROC_TTY		4

### GLIBTOP_KERN_PROC_UID

    #define GLIBTOP_KERN_PROC_UID		5

### GLIBTOP_KERN_PROC_RUID

    #define GLIBTOP_KERN_PROC_RUID		6

### GLIBTOP_KERN_PROC_MASK

    #define GLIBTOP_KERN_PROC_MASK		15

### GLIBTOP_EXCLUDE_IDLE

    #define GLIBTOP_EXCLUDE_IDLE		0x1000

### GLIBTOP_EXCLUDE_SYSTEM

    #define GLIBTOP_EXCLUDE_SYSTEM		0x2000

### GLIBTOP_EXCLUDE_NOTTY

    #define GLIBTOP_EXCLUDE_NOTTY		0x4000

### struct glibtop_proclist

    struct glibtop_proclist {
    	guint64 flags;
    	guint64 number;			/* GLIBTOP_PROCLIST_NUMBER */
    	guint64 total;			/* GLIBTOP_PROCLIST_TOTAL */
    	guint64 size;			/* GLIBTOP_PROCLIST_SIZE */
    };

### glibtop_get_proclist ()

    pid_t *             glibtop_get_proclist                (glibtop_proclist *buf,
                                                             gint64 which,
                                                             gint64 arg);

`buf` : |
`which` : |
`arg` : |
Returns : |

### glibtop_get_proclist_r

    #define glibtop_get_proclist_r		glibtop_get_proclist_p

### glibtop_get_proclist_l ()

    pid_t *             glibtop_get_proclist_l              (glibtop *server,
                                                             glibtop_proclist *buf,
                                                             gint64 which,
                                                             gint64 arg);

`server` : |
`buf` : |
`which` : |
`arg` : |
Returns : |

### glibtop_get_proclist_p ()

    pid_t *             glibtop_get_proclist_p              (glibtop *server,
                                                             glibtop_proclist *buf,
                                                             gint64 which,
                                                             gint64 arg);

`server` : |
`buf` : |
`which` : |
`arg` : |
Returns : |

### glibtop_get_proclist_s ()

    pid_t *             glibtop_get_proclist_s              (glibtop *server,
                                                             glibtop_proclist *buf,
                                                             gint64 which,
                                                             gint64 arg);

`server` : |
`buf` : |
`which` : |
`arg` : |
Returns : |